Package org.apache.sling.scripting.sightly.impl.compiler.frontend

## Interface Fragment

All Known Implementing Classes:
  `Fragment.Expr`, `Fragment.Text`

    public interface Fragment

A segment in an interpolation.

### Nested Class Summary

Nested Classes
`static class` `Fragment.Expr` A fragment which is an expression.
`static class` `Fragment.Text` A text fragment.

### Method Summary

All Methods Instance Methods Abstract Methods
`Expression` `getExpression()`
`String` `getText()`
`boolean` `isExpression()`
`boolean` `isString()`

### Method Detail

#### isString

    boolean isString()

#### isExpression

    boolean isExpression()

#### getExpression

    Expression getExpression()

#### getText

    String getText()